<?php
/**
* Nom: InsertUser.php
* Autor: David Bassa
* Any: 2023
* Descripció: Aquest php s'encarrega de crear els nous usuaris, rep els valors de l'usuari per POST
* a través de l'arxiu i formulari d'usuaris.php
*/
?>

<html><head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Panell administrador Smarlock - Nou Usuari</title>
    <meta name="description" content="Aquest es un panell d'administracio de Smartlock ">
    <link rel="stylesheet" href="style.css">
<meta charset="utf-8"></head>
<?php

ob_start();
session_start(); //s'inicialitza les variables de sessió

//Es comprova si s'ha iniciat sessió, si no està iniciada la sessió llavors dirigeix a l'usuari al login.php, si està iniciada podrà veure la pàgina.
if(!isset($_SESSION['user_id'])){
    header('Location: login.php');
    exit;
} else if ($_SESSION['rol'] == '2'){ //Si el rol de la sessió es el de usuari accedirá nomes a l'apertura de porta
    header('Location: user_panel.php');
    exit;    
}else if ($_SESSION['rol'] == '1'){//Si la sessió està inicialitzada com a administrador
	include 'functions.php'; //S'afegeix l'arxiu function.php on estan guardades totes les funcions per smartlock
	//Si es carrega la pàgina web amb la sessió iniciada i hi ha una inactivitat superior a 15 minuts, per seguretat la sessió es tanca
	echo '<script>
	setTimeout(function(){ 
	window.location="logout.php"
	}, 900000);
	</script>';
	//Es crida a la funció encarregada de fer la connexió amb la base de dades
	$con=Connect_bbdd();
	//S'activen la mostra d'accents
	$tildes = $con->query("SET NAMES 'utf8'");

	//Es guarden tots els paràmetres  rebuts per POST del formulari usuaris.php
	$genere = $_POST['genere'];
	$nom = $_POST['nom'];
	$cognom = $_POST['cognom'];
	$rol = $_POST['rol'];
	$actiu = $_POST['actiu'];
	$twofactor = $_POST['twofactor'];
	
	//Es comproven si els camps estan buits, ja que aquests camps no són obligatori
	$password = nobuit($_POST['password']);
	$usuari = nobuit($_POST['usuari']);
	$pass = nobuit($_POST['pass']);
	
	//Es guarda a $sql la sentència de l'insert per crear l'usuari.
	$sql = "INSERT INTO `USER` (`idUSER`, `Genere`, `Nom`, `Cognoms`, `Doble_autentificacio`, `Password`, `ROL_idROL`, `Actiu`, `Usuari`, `Pass`) VALUES (NULL, '$genere', '$nom', '$cognom', '$twofactor', $password, '$rol', '$actiu', $usuari, $pass)";
?>

<body>
<div id="sidebar"> 
	<a href="usuari.php?usuari=<?php echo $_SESSION['user_id']; ?>"><img src ="/img/avatar.png" text-align="center" alt="Avatar administrador"/></a>
	<div id="navigation">
		<a href="usuaris.php"><img src ="/img/bt_usuaris.png" alt="usuaris"/></a>
		<a href="logbook.php"><img src ="/img/bt_historial.png" alt="Historial d'accessos"/></a>
		<a href="targetes.php"><img src ="/img/bt_targeta.png" alt="Targetes"/></a>
		<div id ="control_nav">
			<a href="index.php"><img class ="bt_nav" src ="/img/bt_main.png" alt="Tornar a l'inici" href="/index.php"/></a>
			<a href="logout.php"><img class ="bt_nav" src ="/img/bt_exit.png" alt="Sortir"/></a>
			<a href="http://192.168.2.108/Open"><img class ="bt_nav" src ="/img/bt_door.png" alt="Obrir"/></a>
		</div>
	</div>
</div>
<div id="container">
	<div id= "notify">
		<div class="notify_usuari" ><?php echo "Hola, " .$_SESSION['user_name'] . " <a href=\"logout.php\">(Tancar sessió)</a>"; ?></div>
		<div id="ajuda">
			<a href="https://smartlock-uoc.000webhostapp.com/img/ajuda_dashboard.jpg" target="_blank" ><img class = "notify_usuari" src ="/img/ajuda.png" alt="Tornar a l'inici" href="/index.php"/></a>
		</div>
	</div>
	<div id="logo"><img src ="/img/smartlock_usuaris.png" alt="Smartlock"/></div>
	<div id="text">
	<div class="notify">
		<?php 
			//Informa a l'usuari del resultat de l'Insert, informant si s'ha pogut afegir el nou usuari, i passat uns segons, retorna a l'usuari a la pàgina usuaris.php
			if (mysqli_query($con, $sql)) {echo "S'ha creat l'usuari en el sistema correctament";}else {echo "Hi ha hagut un error intern i no s'ha pogut enregistrar el nou usuari";}
					echo '<script>
						setTimeout(function(){ 
						window.location="usuaris.php"
						}, 3000);
						</script>';
		?>
	</div>
	</div>
</div>
<div id="footer">
  Copyright &copy; <?php echo date('Y'); ?> Smartlock by David Bassa Romera 
</div>

</body>
<?php mysqli_close($con);/*es finalitza la connexió amb la base de dades*/ }  ?>
</html>
