<?php
/**
* Nom: user_panel.php
* Autor: David Bassa
* Any: 2023
* Descripció: Aquest php és la pàgina d'inici del perfil d'usuari, on permet a l'usuari obrir la porta
* a través d'internet.
*/
?>

<html><head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Panell Usuari Smarlock</title>
    <meta name="description" content="Aquest es un panell d'usuari de Smartlock ">
    <link rel="stylesheet" href="style.css">
<meta charset="utf-8"></head>

<?php
	ob_start();
	session_start();//s'inicialitza les variables de sessió
	//Si detecta que l'usuari ha introduït les dades al formulari, procedirà a fer les comprovacions d'autentificació pertinents
	if(!isset($_SESSION['user_id'])){
		header('Location: login.php');
		exit;
	} else if ($_SESSION['rol'] == '1'){ //Si el rol de la sessió es el de l'administrador, redirigirà al panell d'administrador
		header('Location: index.php');
		exit;    
	}else if ($_SESSION['rol'] == '2'){//Si la sessió està inicialitzada com a usuari carregarà la pagina
		include 'functions.php'; //S'afegeix l'arxiu function.php on estan guardades totes les funcions per smartlock
		//Si es carrega la pàgina web amb la sessió iniciada i hi ha una inactivitat superior a 15 minuts, per seguretat la sessió es tanca
		echo '<script>
		setTimeout(function(){ 
		window.location="logout.php"
		}, 900000);
		</script>';
?>

<body>
<div id="door_user_panel"> 
        <h1>
		<?php 
			echo "Hola, " .$_SESSION['user_name'] . " <a href=\"logout.php\">(Tancar sessió)</a>"; 
		?></h1>
		<p align="center" ><a href="http://192.168.2.108/Open"><img class ="bt_nav" src ="/img/bt_door.png" alt="Obrir"/></a></p>
</div>
<div id="footer">
  Copyright &copy; <?php echo date('Y'); ?> Smartlock by David Bassa Romera 
</div>


</body>
	<?php } ?>
</html>


